## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname sphinx-autodoc-typehints
%global altname sphinx_autodoc_typehints

%global common_description %{expand:
This extension allows you to use Python 3 annotations for documenting
acceptable argument types and return value types of functions.}

Name:           python-%{srcname}
Version:        2.5.0
Release:        %autorelease
Summary:        Type hints support for the Sphinx autodoc extension

License:        MIT
URL:            https://github.com/tox-dev/sphinx-autodoc-typehints
Source0:        %{pypi_source %{altname}}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description %{common_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -p1 -n %{altname}-%{version}
# Requires sphinx>=8.0.2, sphinx in Fedora lacks 6 months behind at the moment
sed -i -e "s/sphinx>=[0-9.]*/sphinx/g" pyproject.toml
# Relax the version constraint of hatchling, it is unnecessarily strict for EL10
sed -i -e "s/hatchling>=1.25/hatchling>=1.24/" pyproject.toml

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files %{altname}

# %%check
# %%pytest

%files -n python3-%{srcname} -f %{pyproject_files}

%changelog
## START: Generated by rpmautospec
* Mon Nov 04 2024 Miro Hrončok <miro@hroncok.cz> - 2.5.0-4
- Update the URL to match upstream

* Mon Nov 04 2024 Miro Hrončok <miro@hroncok.cz> - 2.5.0-3
- Relax the version constraint of hatchling

* Sat Oct 26 2024 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.0-2
- Only depend on %%generate_buildrequires

* Sun Oct 13 2024 Fabian Affolter <mail@fabian-affolter.ch> - 2.5.0-1
- Update to latest upstream release (closes rhbz#2317939)

* Sat Sep 28 2024 Fabian Affolter <mail@fabian-affolter.ch> - 2.4.4-1
- Update to latest upstream release (closes rhbz#2074968)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.18.3-8
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.18.3-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jul 10 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.3-1
- Update to 1.18.3 - Close: rhbz#2074968

* Sun Jul 10 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.17.0-4
- Convert to new Python guidelines

* Sun Jul 10 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.17.0-3
- Convert to rpmautospec

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.17.0-2
- Rebuilt for Python 3.11

* Fri Mar 04 2022 Fabian Affolter <mail@fabian-affolter.ch> - 1.17.0-1
- Update to latest upstream release 1.17.0 (closes rhbz#2036464)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.12.0-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.12.0-1 -
  Update to latest upstream release 1.12.0 (rhbz#1949812)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.11.1-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Oct 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.11.1-1
- * Tue Oct 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.11.1-1 -
  Update to latest upstream release 1.11.1 (#1849421)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.11.0-1
- * Sun Jun 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.11.0-1 -
  Update to latest upstream release 1.11.0 (rhbz#1849421)

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.10.3-6
- Rebuilt for Python 3.9

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-5
- Update changelog

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-4
- Update %%files section

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-3
- Disable tests (missing deps)

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-2
- Commit again after saving

* Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-1
- * Mon Mar 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.10.3-1 -
  Enable tests - Update to latest upstream release 1.10.3 (rhbz#1697057)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.2.3-10
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.2.3-9
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 18 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.3-6
- Drop explicit locale setting

* Sat Aug 25 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.3-5
- Use C.utf8 locale

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 1.2.3-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 03 2018 Tristan Cacqueray <tdecacqu@redhat.com> - 1.2.3-1
- Initial import (#1529644).
## END: Generated by rpmautospec
